val blank = <item:minecraft:air>;
val mushroom = <tag:items:forge:mushrooms>;
val sugarCane = <item:minecraft:sugar_cane>;
val slimeball = <tag:items:forge:slimeballs>;
val sapling = <tag:items:minecraft:saplings>;
val egg = <tag:items:forge:eggs>;
val blueDye = <tag:items:forge:dyes/blue>;
val waterBucket = <item:minecraft:water_bucket>;
val emerald = <tag:items:forge:gems/emerald>;
val packedIce = <tag:items:chipped:packed_ice>;
val crossbow = <tag:items:forge:crossbows>;
val blazeRod = <tag:items:forge:rods/blaze>;
val witherSkull = <item:minecraft:wither_skeleton_skull>;
val nautilusShell = <item:minecraft:nautilus_shell>;
val regenIIPotion = <item:minecraft:potion>.withTag({Potion: "minecraft:strong_regeneration"});
val heartOfTheSea = <item:minecraft:heart_of_the_sea>;
val immortalEmbryo = <item:alexscaves:immortal_embryo>;
//val bloodVial = <item:irons_spellbooks:blood_vial>;
val netheriteIngot = <item:minecraft:netherite_ingot>;
//val manaPotion3 = <item:minecraft:potion>.withTag({Potion: "irons_spellbooks:instant_mana_three"});
//val manaPotion4 = <item:minecraft:lingering_potion>.withTag({Potion: "irons_spellbooks:instant_mana_four"});

val wanderingTrader = <item:minecraft:wandering_trader_spawn_egg>;
val ignitedBerserker = <item:cataclysm:ignited_berserker_spawn_egg>;
//val deadKing = <item:irons_spellbooks:dead_king_corpse_spawn_egg>;
//val ancientKnight = <item:irons_spellbooks:keeper_spawn_egg>;

craftingTable.addShaped("wandering_trader_spawn_egg", wanderingTrader, [
	[  mushroom, sugarCane, slimeball],
	[  sapling,     egg,     blueDye ],
	[waterBucket, emerald,  packedIce]
]);

craftingTable.addShaped("ignited_berserker_spawn_egg", ignitedBerserker, [
	[blazeRod, witherSkull, blazeRod],
	[blazeRod,     egg,     blazeRod],
	[ blank,     blazeRod,    blank ]
]);

craftingTable.addShaped("immortal_embryo", immortalEmbryo, [
	[nautilusShell, regenIIPotion, nautilusShell],
	[regenIIPotion, heartOfTheSea, regenIIPotion],
	[nautilusShell, regenIIPotion, nautilusShell]
]);

//craftingTable.addShaped("dead_king_spawn_egg", deadKing, [
//	[manaPotion4, bloodVial, manaPotion4],
//	[bloodVial,     egg,    bloodVial ],
//	[manaPotion4, bloodVial, manaPotion4]
//]);

//craftingTable.addShaped("ancient_knight_spawn_egg", ancientKnight * 3, [
//	[manaPotion3, netheriteIngot, manaPotion3],
//	[manaPotion3,       egg,      manaPotion3],
//	[manaPotion3,   manaPotion3,  manaPotion3]
//]);

### Script written by FoxMcloud5655